Summary:	Adapt RPM .spec files to PLD Linux coding standard
Summary(pl.UTF-8):	Adaptowanie plików .spec pakietów RPM do standardu kodowania PLD Linuksa
Name:		adapter
Version:	1.519
Release:	1
License:	GPL
Group:		Applications/File
Source0:	adapter.awk
Source1:	adapter.sh
BuildRequires:	sed >= 4.0
Requires:	gawk >= 3.1.7
Conflicts:	rpm-build-tools < 4.9
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir	%{_prefix}/lib

%description
adapter adapts RPM .spec files for PLD Linux coding standard.

%description -l pl.UTF-8
adapter adaptuje pliki .spec pakietów RPM do standardu kodowania PLD
Linuksa.

%prep
%setup -qcT
cp -p %{SOURCE0} %{SOURCE1} .

%{__sed} -i -e 's,^adapter=.*/adapter.awk,adapter=%{_libdir}/adapter.awk,' adapter.sh

%build
die() { echo >&2 "$*"; exit 1; }
for f in adapter.sh adapter.awk; do
	v=$(sed -rne 's/.*VERSION="([^"]+)".*/\1/p' $f)
	if [ "$v" != "%{version}" ]; then
		die "VERSION not %{version} in $f"
	fi
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}}
cp -p adapter.awk $RPM_BUILD_ROOT%{_libdir}/adapter.awk
install -p adapter.sh $RPM_BUILD_ROOT%{_bindir}/adapter

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/adapter
%{_libdir}/adapter.awk
%changelog
* Sun Dec 08 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/adapter.git;a=log;h=master

* Sun Dec 08 2024 Jan Rękorajski <baggins@pld-linux.org> 6fc266c
- 1.519 everywhere

* Sun Dec 08 2024 Jan Rękorajski <baggins@pld-linux.org> 73e31c9
- 1.519

* Sun Dec 08 2024 Jan Rękorajski <baggins@pld-linux.org> b822db0
- 1.518, convert patch stanzas to rpm 4.18+ format

* Sat Mar 13 2021 Jan Rękorajski <baggins@pld-linux.org> df75290
- 1.517, do not strip _isa, it's useful for arch deps

* Sat Mar 13 2021 Jan Rękorajski <baggins@pld-linux.org> fc35a52
- release 3 (by relup.sh)

* Sat Mar 13 2021 Jan Rękorajski <baggins@pld-linux.org> 5b8c300
- bump here too...

* Sat Mar 13 2021 Jan Rękorajski <baggins@pld-linux.org> ad813a8
- release 2 (by relup.sh)

* Sat Mar 13 2021 Jan Rękorajski <baggins@pld-linux.org> f4c09a1
- bump version

* Sat Mar 13 2021 Jan Rękorajski <baggins@pld-linux.org> 9e36fd7
- 1.516

* Sat Mar 13 2021 Jan Rękorajski <baggins@pld-linux.org> a65f8fc
- do not replace recommends with suggests
- 1.516

* Sun Mar 07 2021 Elan Ruusamäe <glen@pld-linux.org> f109b86
- Replace Requires(triggerpostun) with Requires(post)

* Sun Mar 07 2021 Elan Ruusamäe <glen@pld-linux.org> a0af1ef
- Remove field argument to replace_requires, it is not used

* Sat Feb 27 2021 Elan Ruusamäe <glen@pld-linux.org> 13be88f
- Release v1.515

* Fri Apr 17 2020 Jakub Bogusz <qboosh@pld-linux.org> e8ecdd5
- pl

* Wed Jan 16 2019 Elan Ruusamäe <glen@delfi.ee> 6911565
- gawk backslash fixes

* Wed Jan 16 2019 Elan Ruusamäe <glen@pld-linux.org> 80072dd
- add more substitutions

* Sat Oct 21 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 23a98c9
- Handle meson BR.

* Sat May 06 2017 Elan Ruusamäe <glen@delfi.ee> b2dd02d
- capture %global macros, subst gh_owner, gh_project

* Wed Dec 28 2016 Elan Ruusamäe <glen@delfi.ee> 8711017
- adapter unicode dash

* Sun Oct 09 2016 Elan Ruusamäe <glen@delfi.ee> e4b1577
- macro, package updates; ASCII quotes and apostrophes

